Add Tasks
curl --request POST \
--url https://api.lobstr.io/v1/tasks \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.lobstr.io/v1/tasks"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://api.lobstr.io/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Twitter Profile Scraper
Add Tasks
Add Twitter profile scraping tasks by screen name
POST
/
v1
/
tasks
Add Tasks
Add Twitter profiles to scrape by providing their screen names (usernames). Each task will retrieve detailed profile information for the specified user.
Headers
string
required
Your API authentication token. Value:
Token YOUR_API_KEYstring
required
Request body format. Value:
application/jsonRequest Body
| Field | Type | Required | Description |
|---|---|---|---|
| squid | string | Yes | Hash of your squid configured with the Twitter Profile Scraper |
| tasks | array | Yes | Array of task objects, each containing a screen_name field |
Task Object
| Field | Type | Required | Description |
|---|---|---|---|
| screen_name | string | Yes | Twitter username without the @ symbol (e.g., elonmusk) |
You can add multiple screen names in a single request to scrape several profiles at once.
The screen_name should not include the @ symbol - use
elonmusk not @elonmusk.Code Examples
curl -X POST "https://api.lobstr.io/v1/tasks" \
-H "Authorization: Token YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tasks": [
{
"screen_name": "elonmusk"
}
],
"squid": "YOUR_SQUID_HASH"
}'
import requests
API_KEY = "YOUR_API_KEY"
BASE_URL = "https://api.lobstr.io/v1"
headers = {"Authorization": f"Token {API_KEY}"}
squid_id = "YOUR_SQUID_HASH"
# Add Twitter profiles to scrape
response = requests.post(f"{BASE_URL}/tasks",
headers=headers,
json={
"tasks": [
{"screen_name": "elonmusk"}
],
"squid": squid_id
}
)
data = response.json()
print(f"Added {len(data['tasks'])} tasks")
print(f"Duplicates: {data['duplicated_count']}")
Response
200
{
"duplicated_count": 0,
"tasks": [
{
"id": "0b1e3fd36e8249ec03220fb04b7fc71c",
"created_at": "2025-07-04T04:52:45.180627",
"is_active": true,
"params": {
"screen_name": "elonmusk"
},
"module": 167,
"object": "task"
}
]
}
⌘I